Summary: Terminal emulator for the X Window System
Name: xterm
Version: 304
Release: 1
URL: http://dickey.his.com/xterm
License: MIT
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch, pkg-config
BuildRequires: libXpm >= 3.5.7-4
BuildRequires: Xaw3d-devel >= 1.5

Requires:      libXpm >= 3.5.7-4
Requires:      Xaw3d >= 1.5

Source0: ftp://invisible-island.net/xterm/%{name}-%{version}.tgz
Source1: ftp://invisible-island.net/xterm/%{name}-%{version}.tgz.asc
Source2: ftp://invisible-island.net/xterm/16colors.txt

Patch1: %{name}-245-resources.patch
Patch2: %{name}-280-desk.patch
Patch10: %{name}-%{version}-aix.patch

%define x11_app_defaults_dir %{_libdir}/X11/app-defaults

%description
The xterm program is a terminal emulator for the X Window System. It
provides DEC VT102 and Tektronix 4014 compatible terminals for
programs that can't use the window system directly.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch1 -p1 -b .resources
%patch2 -p1 -b .desk
%patch10


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --with-app-defaults=%{x11_app_defaults_dir} \
    --with-x \
    --with-pkg-config \
    --with-Xaw3d \
    --enable-256-color \
    --enable-88-color \
    --enable-exec-xterm \
    --disable-freetype \
    --enable-logging \
    --without-pcre \
    --enable-rightbar \
    --disable-toolbar \
    --enable-mini-luit \
    --enable-luit \
    --enable-wide-chars

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cp -fp %{SOURCE2} 16colors.txt

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
cp xterm.desktop ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc xterm.log.html ctlseqs.txt 16colors.txt README.i18n THANKS
%{_bindir}/*
%{_mandir}/man1/*
/etc/X11/applnk/Applications/xterm.desktop
%{_datadir}/pixmaps/xterm*.xpm
%{x11_app_defaults_dir}/KOI8RXTerm*
%{x11_app_defaults_dir}/UXTerm*
%{x11_app_defaults_dir}/XTerm*
/usr/linux/bin/*


%changelog
* Sun May 04 2014 Michael Perzl <michael@perzl.org> - 304-1
- updated to version 304

* Sun Mar 09 2014 Michael Perzl <michael@perzl.org> - 303-1
- updated to version 303

* Tue Mar 04 2014 Michael Perzl <michael@perzl.org> - 302-1
- updated to version 302

* Mon Jan 20 2014 Michael Perzl <michael@perzl.org> - 301-1
- updated to version 301

* Thu Dec 05 2013 Michael Perzl <michael@perzl.org> - 300-1
- updated to version 300

* Mon Dec 02 2013 Michael Perzl <michael@perzl.org> - 299-1
- updated to version 299

* Thu Nov 28 2013 Michael Perzl <michael@perzl.org> - 298-1
- updated to version 298

* Wed Sep 11 2013 Michael Perzl <michael@perzl.org> - 297-1
- updated to version 297

* Thu Jul 11 2013 Michael Perzl <michael@perzl.org> - 296-1
- updated to version 296

* Mon Jul 08 2013 Michael Perzl <michael@perzl.org> - 295-1
- updated to version 295

* Sat Jul 06 2013 Michael Perzl <michael@perzl.org> - 294-1
- updated to version 294

* Tue May 28 2013 Michael Perzl <michael@perzl.org> - 293-1
- updated to version 293

* Fri Apr 26 2013 Michael Perzl <michael@perzl.org> - 292-1
- updated to version 292

* Wed Feb 27 2013 Michael Perzl <michael@perzl.org> - 291-1
- updated to version 291

* Wed Feb 27 2013 Michael Perzl <michael@perzl.org> - 290-1
- updated to version 290

* Mon Feb 11 2013 Michael Perzl <michael@perzl.org> - 289-1
- updated to version 289

* Sat Jan 12 2013 Michael Perzl <michael@perzl.org> - 288-1
- updated to version 288

* Mon Nov 26 2012 Michael Perzl <michael@perzl.org> - 287-1
- updated to version 287

* Tue Oct 30 2012 Michael Perzl <michael@perzl.org> - 286-1
- updated to version 286

* Thu Oct 25 2012 Michael Perzl <michael@perzl.org> - 285-1
- updated to version 285

* Mon Oct 15 2012 Michael Perzl <michael@perzl.org> - 284-1
- updated to version 284

* Wed Oct 10 2012 Michael Perzl <michael@perzl.org> - 283-1
- updated to version 283

* Sun Sep 30 2012 Michael Perzl <michael@perzl.org> - 282-1
- updated to version 282

* Tue Jun 26 2012 Michael Perzl <michael@perzl.org> - 281-1
- updated to version 281

* Mon Jun 25 2012 Michael Perzl <michael@perzl.org> - 280-1
- updated to version 280

* Fri May 11 2012 Michael Perzl <michael@perzl.org> - 279-1
- updated to version 279

* Thu Jan 19 2012 Michael Perzl <michael@perzl.org> - 278-1
- updated to version 278

* Sun Jan 08 2012 Michael Perzl <michael@perzl.org> - 277-1
- updated to version 277

* Tue Oct 11 2011 Michael Perzl <michael@perzl.org> - 276-1
- updated to version 276

* Mon Sep 12 2011 Michael Perzl <michael@perzl.org> - 275-1
- updated to version 275

* Wed Sep 07 2011 Michael Perzl <michael@perzl.org> - 274-1
- updated to version 274

* Thu Aug 25 2011 Michael Perzl <michael@perzl.org> - 273-1
- updated to version 273

* Thu Aug 25 2011 Michael Perzl <michael@perzl.org> - 272-1
- updated to version 272

* Fri Jul 15 2011 Michael Perzl <michael@perzl.org> - 271-1
- updated to version 271

* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 270-1
- updated to version 270

* Fri Dec 03 2010 Michael Perzl <michael@perzl.org> - 267-1
- first version for AIX V5.1 and higher
